exim (3.34-1) unstable; urgency=low

  * New upstream version
  * Applied patch so that it isn't an open relay when used from inetd with
    exim_user = root (but that still doesn't mean you should set this!)
    (Closes: #126124)
  * debian/editme-diff: Include lmtp support (Closes: #128052)
  * debian/postinst: Only run update-inetd if it exists
  * debian/control: The above means it only recommends rather than depends
    on netbase (Closes: #118244)
  * debian/config: Various changes to procmail-pipe transport in
    eximconfig output (Closes: #117923, #120614, #129338)
  * debian/config: Added comment mentioning rfcignorant.org to eximconfig
    output (Closes: #128414)
  * debian/email-addresses: Corrected typo (Closes: #123082)
  * debian/init.d: List restart option in usage output (Closes: #122939)
  * debian/config: Include rfc2142 addresses (such as abuse@) in generated
    aliases file (Closes: #128411)

 -- Mark Baker <mark@mnb.org.uk>  Sat, 19 Jan 2002 17:44:56 +0000

exim (3.33-1) unstable; urgency=low

  * New upstream version
  * debian/control: include package priorities
  * debian/copyright: fix spelling of common-licenses (I had spelt it the
    British way, as licences, which of course isn't what the directory is
    called) (Closes: #112086)
  * src/exim.c: upstream patch to fix minor local security hole (Closes:
    #117835)
  * debian/postrm: fix test for empty spool directory (Closes: #108956,
    #116018) 
  * debian/postrm: check update-inetd exists before calling (Closes: #121365)

 -- Mark Baker <mark@mnb.org.uk>  Wed, 28 Nov 2001 22:07:14 +0000
  
exim (3.32-2) unstable; urgency=low

  * Applied upstream patch to fix IPv6 related problems (Closes: #108285,
    #108309)
  * debian/cron.daily: exit if exim binary doesn't exist (Closes: #108389)
  * debian/init.d: check that inetd.conf exists before grepping it for
    exim (Closes: #108147)
  * debian/exim.8: update description of -bp option (Closes: #107222)

 -- Mark Baker <mark@mnb.org.uk>  Wed, 15 Aug 2001 00:00:36 +0100

exim (3.32-1) unstable; urgency=low

  * New upstream version (bug fixes)
  * debian/preinst: create /etc/exim before moving exim.conf (Closes:
    #106659, #107657)
  * debian/preinst: only do nasty stuff to crontab if upgrading from a
    version prior to 1.82-3, as that was the first one to use cron in the
    way we do now. 

 -- Mark Baker <mark@mnb.org.uk>  Wed,  8 Aug 2001 23:34:04 +0100

exim (3.31-1) unstable; urgency=low

  * New upstream version
  * debian/postrm: prompt before deleting spool directory if it's not
    empty (Closes: #101186)
  * debian/config: remove RBL questions (as ORBS no longer exists, and
    MAPS now charges); include a comment about RBL instead (Closes: #104524)
  * debian/rules: no longer have separate diff for hurd, as hurd now
    supports PAM and LDAP
  * OS/os.h-GNU, OS/Makefile-GNU: various other hurd changes (Closes: #101409)
  * debian/postinst: don't run eximconfig if doing a non-interactive
    install (Closes: #98764)
  * debian/postinst, debian/preinst: move config file to new location in
    preinst, not postinst (Closes: #101796)
  * debian/config: don't use group mail on procmail transport (Closes: #99075)
  * debian/init.d: use --pidfile option of start-stop-daemon (Closes:
    #97526, #74803, #62297)
  * debian/postinst: only grep exim.conf if it exists (Closes: #95031)
  * src/globals.c: upstream patch to header names
  * debian/postinst: only grep /etc/aliases if it exists (Closes: #94085)
  * debian/cron.daily: tidy wait-remote_smtp as well as retry database

 -- Mark Baker <mark@mnb.org.uk>  Thu, 19 Jul 2001 00:32:14 +0100

exim (3.22-4) unstable; urgency=low

  * debian/crontab: fix comment so it agrees (Closes: #92654)
  * debian/rules: don't use {a,b} syntax, which isn't in posix sh (Closes:
    #92456)
  * debian/config: RBL is now at blackholes.mail-abuse.org

 -- Mark Baker <mark@mnb.org.uk>  Tue, 10 Apr 2001 00:16:30 +0100

exim (3.22-3) unstable; urgency=low

  * src/eximon.src: don't want & on end of exec command (Closes: #53784)
  * debian/*.8: updated references to docs to /usr/share/doc, and updated
    my email address.
  * debian/exicyclog.8: exicyclog is in /usr/sbin, not /opt/exim/bin
    (Closes: #86642) 
  * debian/control: build-dependencies updated for current X packages
    (Closes: #88565)
  * debian/config: generated config uses s (sender) flag on rewrite rules
    (Closes: #90839)
  * debian/config: generated config doesn't use b or c (bcc and cc) flags
    on rewrite rules
  * debian/crontab: run every 15 minutes
  * debian/crontab: don't ignore error output (exim should only output
    anything on errors, so we don't want to redirect anything to /dev/null
    (Closes: #88334)
  * debian/config: generated config refers to 127.0.0.1 and ::1, and not
    to localhost; which caused problems for some people when it tried to
    look up the ipv6 address for it (Closes: #88629, #76074)
  * debian/control: priority important
  * debian/postinst, debian/prerm: don't call suidregister or chmod
  * debian/control: conflict with suidmanager <<0.50

 -- Mark Baker <mark@mnb.org.uk>  Fri, 30 Mar 2001 00:29:30 +0100

exim (3.22-2) unstable; urgency=low

  * debian/crontab: check existence of config file in /etc/exim/exim.conf
    rather than /etc/exim.conf (Closes: #85745)
  * debian/postinst, debian/postrm: more places I'd forgotten to fix after
    moving exim.conf
  * src/exim_tidydb.c: write "too old" message to stdout, not stderr
    (Closes: #81727)

 -- Mark Baker <mark@mnb.org.uk>  Mon, 12 Feb 2001 23:30:17 +0000

exim (3.22-1) unstable; urgency=low

  * New upstream version
  * debian/cron.daily: only run exim_tidydb if it exists and is
    executable (Closes: #83017)
  * debian/email-addresses: include comment indicating that it is part of
    the exim package (Closes: #82462)

 -- Mark Baker <mark@mnb.org.uk>  Wed, 24 Jan 2001 00:13:35 +0000

exim (3.20-2) unstable; urgency=low

  * debian/rules: allow for a locally modified makefile diff to be used
    instead of the standard one (patch by Karl Hegbloom) (Closes: #79275)
  * Put config file in an /etc/exim directory, as many people want to
    create other files for configuring their exim setup (Closes: #76318)
    . debian/rules: create /etc/exim directory
    . debian/config: write config file in $exim/exim/exim.conf
    . debian/editme-diff.linux: configure exim to read config from this
      directory. 
    . debian/editme-diff.gnu: as editme-diff.linux
    . debian/postinst: move config file from existing installations when
      upgrading. 
  * debian/config: default config includes (commented out) how to do
    client side SMTP AUTH (Closes: #79173)
  * debian/cron.daily: only cycle non-empty log files (Closes: #74996)
  * debian/control: build depends should be on libdb2-dev, not libdb2
    (Closes: #79290)

 -- Mark Baker <mark@mnb.org.uk>  Mon, 11 Dec 2000 22:16:43 +0000

exim (3.20-1) unstable; urgency=low

  * New upstream release.
  * debian/config: swapped procmail and .forward directors in default
    config (Closes: #63588)
  * debian/config: include "end" after rewrite section (Closes: #77865)
  * debian/config: document /etc/email-addresses in eximconfig output
  * debian/README: document /etc/email-addresses (Closes: #77937)

 -- Mark Baker <mark@mnb.org.uk>  Sun,  3 Dec 2000 23:51:58 +0000

exim (3.16-7) unstable; urgency=high

  * debian/postinst: use -f option when deleting old hints databases
    (Closes: #75451)
  * src/exim.c: Change to real priveliges before expansion testing

 -- Mark Baker <mark@mnb.org.uk>  Thu, 26 Oct 2000 00:15:24 +0100

exim (3.16-6) unstable; urgency=low

  * debian/mails: added announcement of windows executable filter
  * applied patch so -bP cannot be used to get information from a config
    file that the user does not have read permission for. Thanks to
    Wichert Akkerman and Harald Hoyer for the patch (Closes: #67585)

 -- Mark Baker <mbaker@iee.org>  Sun, 22 Oct 2000 01:14:18 +0100

exim (3.16-5) unstable; urgency=low

  * debian/config: path option must go after driver (Closes: #72985, #74503)
  * debian/cron.daily: redirect output of exim_tidydb to /dev/null
    (Closes: #74474)
  * src/exim_tidydb.c: actual errors go to stderr so they aren't affected
    by redirect mentioned above
  * src/readconf.c: allow config to be group writable (Closes: #74082)
  * debian/config: depends on netbase (for update-inetd) (Closes: #73060)
  * debian/postinst: delete hints databases; if the configuration appears
    to refer to any other db files, warn them that they will have to
    rebuild them. This is because we are now (since 3.16-3.1) using libdb2 
    (Closes: #75020, #73055, #73048)
  * debian/config: default config file adds return path header to local
    deliveries (Closes: #75046)
  * debian/config: include (commented out) examples of how to set up
    the server side of an authenticated link
  * debian/config: default config file allow authenticated hosts to relay

 -- Mark Baker <mbaker@iee.org>  Thu, 19 Oct 2000 00:21:44 +0100

exim (3.16-4) unstable; urgency=low

  * Ben's NMU fixed bugs about new libc/libdb (Closes: #72588, #72587)
  * debian/postinst: set /usr/sbin/exim to be suid root if suidmanager
    isn't installed. (Closes: #72796, #72741, #72684, #72673, #72671,
    #72871, #70597)
  * debian/control: Added build-depends on xlib6-g (used for eximon)
    (Closes: #72088, #70918)
  * OS/Makefile-GNU: Use -lcrypt (partially fixes #71705)
  * debian/eximstats.8: Synopsis includes log file names (Closes: #72644)
  * debian/config: Include commented out how to restrict to local
    interface only (Closes: #66510)
  * debian/config: Set path on address_path transport to include /usr/bin
    (Closes: #65521)
  * debian/cron.daily: Run exim_tidydb to clean retry database (Closes:
    #57543)
  * debian/postinst: Install /var/log/exim directory as setgid adm
    (Closes: #35719, #11918)
  * debian/config: Use check_local_user in forwardfile director, so that
    correct user and group are used when running pipe entries in forward
    file (Closes: #72645)
  * debian/config: Include empty authenticators section
  * debian/editme-diff.gnu: New file for GNU hurd; old file renamed to
    editme-diff.linux
  * debian/rules: Use appropriate editme-diff for OS. This is necessary
    because currently the hurd doesn't support ldap or pam (Closes: #71705)

 -- Mark Baker <mbaker@iee.org>  Sat, 30 Sep 2000 18:43:41 +0100

exim (3.16-3.1) unstable; urgency=low

  * NMU for libdb2/glibc/ldap updates
  * Build using new libldap2-dev
  * Change Build-Depends accordingly

 -- Ben Collins <bcollins@debian.org>  Wed, 27 Sep 2000 13:11:51 -0400

exim (3.16-3) unstable; urgency=low

  * debian/config: need to escape another ' character (Closes: #70039,
    #70760, #70722, #70575)

 -- Mark Baker <mbaker@iee.org>  Sat,  2 Sep 2000 16:43:40 +0100

exim (3.16-2) unstable; urgency=low

  * debian/config: need to escape ' character (Closes: #70039) 
  * debian/control: added libident-dev and libwrap0-dev to build
    dependencies (Closes: #70405)
  * debian/rules: use -p option when creating Local directory, so it
    doesn't fail if called repeatedly (Closes: #70519)

 -- Mark Baker <mbaker@iee.org>  Tue, 29 Aug 2000 21:14:31 +0100

exim (3.16-1) unstable; urgency=low

  * New upstream version (Closes: #66053)
  * Applied interface discovery patch by Jason Gunthorpe (Closes: #68748)
  * Applied IPv6 interface discovery patch also by Jason (Closes: #64531)
  * debian/exim.8: Removed superfluous hyphen (Closes: #69384)
  * debian/config: Changed /usr/doc/exim to /usr/share/doc/exim in a
    couple of places (Closes: #69013)
  * debian/init.d: Don't disable inetd.conf entry when starting MTA - if
    it wasn't disabled already we wouldn't have got that far, so it's
    unnecessary and confusing for anyone reading the script (Closes: #69048)
  * debian/config: add accept_8bitmime, commented out, with a comment
    explaining why it is probably a bad idea for it to be set
  * debian/control: add Build-depends: line
  * linked with libpcre3
  * debian/editme-diff: include PAM support (Closes: #66398)

 -- Mark Baker <mbaker@iee.org>  Fri, 25 Aug 2000 00:14:35 +0100

exim (3.12-10) frozen unstable; urgency=low

  * debian/config: include headers_check_syntax in generated configuration
    file, commented out (Closes: #63238)
  * debian/config: don't include system hostname in list of local domains
    for satellite system (Closes: #61048)
  * src/host.c: look up an A record if attempt to look up AAAA record
    returns TRY_AGAIN, so it works with bind 4 nameservers. This was fixed 
    upstream in 3.13, I have taken a patch from there (Closes: #62755)

 -- Mark Baker <mbaker@iee.org>  Sun, 30 Apr 2000 01:05:09 +0100

exim (3.12-9) unstable; urgency=low

  * debian/config: test whether /etc/exim.conf can be written replaced by
    test for $etc/exim.conf, allowing me to test this in another directory
    while not root
  * debian/config: don't include "root:root" in generated alias file
    (Closes: #61498)
  * debian/postinst: remove "root:root" from aliases file that older exim
    versions generated (Thanks Kim Oldfield for patch)
  * debian/mails: added mail from Thomas Schoepf about how he solved a
    problem he had on a dialup system (Closes: #61331)
  * debian/README.debian: Update: the instructions on how to run as a
    daemon needed changing and exim is now built with include LDAP and
    IPv6 (Closes: #62220)
  * debian/rules: renamed readme file to debian/README.Debian with upper
    case D.

 -- Mark Baker <mbaker@iee.org>  Thu, 13 Apr 2000 00:11:09 +0100

exim (3.12-8) unstable; urgency=low

  * debian/postinst: fixed typo in warning message: script is called
    /etc/init.d/exim, not /etc/init.d/conf (Closes: #61118)
  * debian/postinst: wrap warning mesage at 80 columns (also #61118)
  * debian/postinst: version of exim in test should be 3.03-2, not 3.99-2
    which was used for testing purposes (Closes: #61068)

 -- Mark Baker <mbaker@iee.org>  Sun, 26 Mar 2000 23:23:48 +0100

exim (3.12-7) frozen unstable; urgency=low

  * debian/config: fixed typo in relay_domains question text (Closes: #60392)
  * debian/config: indicate default with capital in final question
    (Closes: #59722)
  * debian/config: don't check relay_domains, as the check excluded
    wildcards. (Closes: #59720)
  * debian/config: add alias entry for nobody (Closes: #59712)
  * debian/config: don't create aliases.new.O (Closes: #60572)
  * debian/postinst: warn when upgrading from old versions that don't ever
    run daemon from default startup script, if exim is not run from
    inetd.conf (Closes: #60567)

 -- Mark Baker <mbaker@iee.org>  Tue, 21 Mar 2000 23:57:00 +0000

exim (3.12-6) frozen unstable; urgency=low

  * debian/postinst: don't run /etc/init.d/exim if exim.conf doesn't exist.
    It didn't matter, it just gave an error message that it shouldn't have.
  * Remember to upload to frozen this time :)

 -- Mark Baker <mbaker@iee.org>  Tue, 29 Feb 2000 23:46:30 +0000

exim (3.12-5) unstable; urgency=low

  * src/transport.c: upstream patch so transport filters work with
    outgoing SMTP (Closes: #57835)

 -- Mark Baker <mbaker@iee.org>  Sun, 13 Feb 2000 17:12:28 +0000

exim (3.12-4) frozen unstable; urgency=low

  * debian/config: procmail_pipe transport has right options so from hack
    works on current version of exim (previously mail delivered by
    procmail was being horriblyl mangled) (Closes: #56865,#56208)
  * debian/cron.daily: include hostname in subject line of eximstats reports.
  * debian/copyright: new upstream ftp location

 -- Mark Baker <mbaker@iee.org>  Sat,  5 Feb 2000 22:00:49 +0000

exim (3.12-3) unstable; urgency=low

  * debian/rules: create Local directory in build target (and delete it
    in clean target (Closes: #56788)

 -- Mark Baker <mbaker@iee.org>  Tue,  1 Feb 2000 20:45:03 +0000

exim (3.12-2) unstable; urgency=low

  * src/smtp_out.c: failure to create a socket should not be a fatal
    error; this was causing problems for people without IPv6 in their
    kernel trying to send mail to sites with IPv6 addresses in the
    DNS. (Closes: #50628)
  * debian/rules,debian/editme-diffs(new file): create Local/Makefile at
    build time by applying a diff to EDITME, rather than having a
    pre-edited copy included in the debian source. As well as making the
    debian diff rather smaller this means that upstream changes to the
    EDITME file won't be ignored (Closes: #55112)
  * As a result of the above, exigrep of compressed files should work
    properly (Closes: #54776)
  * debian/rules: delete most of util/* in clean target

 -- Mark Baker <mbaker@iee.org>  Wed, 26 Jan 2000 23:28:56 +0000

exim (3.12-1) unstable; urgency=low

  * New upstream version (bug fixes)
  * debian/config: procmail director does file existence check as relevant
    user rather than as exim
  * debian/config: procmail director fails, rather than freezing message, if
    home directory can't be read (Closes: #54351,#53326,#53325,#53229)
  * debian/rules, debian/conffiles, debian/email-addresses (new file): add
    /etc/email-addresses as a conf-file (Closes: #54124)

 -- Mark Baker <mbaker@iee.org>  Sun,  9 Jan 2000 17:45:31 +0000

exim (3.11-2) unstable; urgency=low

  * OS/Makefile-Base: comment out code to check whether makefile needs
    updating; it didn't seem to work properly on some systems. I don't
    know why. This is a nasty hack but it works (Closes: #50435)
  * debian/control: description doesn't start with package name
  * debian/control: "X" rather than "X-windows"

 -- Mark Baker <mbaker@iee.org>  Sun, 19 Dec 1999 11:01:00 +0000

exim (3.11-1) unstable; urgency=low

  * New upstream version (Closes: #51744)

 -- Mark Baker <mbaker@iee.org>  Wed,  8 Dec 1999 00:02:59 +0000

exim (3.03-6) unstable; urgency=low

  * debian/config: check that /etc/exim.conf was writable didn't do the
    right thing when file didn't exist (Closes: #51498,#51789)
  * debian/config: uncomment second line of rewrite configuration (Closes: 
    #51496,#52111,#52148,)
  * debian/rules: clean target deletes Local/Makefile-Linux (Closes: #50435)
  * doc/spec.txt: example cyrus configuration refers to debian location of
    binary

 -- Mark Baker <mbaker@iee.org>  Tue,  7 Dec 1999 22:24:04 +0000

exim (3.03-5) unstable; urgency=low

  * Local/Makefile: don't link with libwrap any more; it causes too many
    problems for people upgrading (#50250)
  * debian/config: don't include userforward or procmail directors in
    satellite configuration (#40570)
  * debian/crontab: only run queue if /etc/exim.conf exists (#43419)
  * debian/rules, debian/ipv6.sh, OS/Makefile-Default: Fix so IPv6 support
    is only included if available, so exim will build on m68k (#50435)
  * debian/config: exit if not run as root (#50543)
  * debian/config: don't comment out the example rewrite rule: it is
    sufficiently widely used, at least for dialups, that it should be in
    by default (#49202)

 -- Mark Baker <mbaker@iee.org>  Sat, 27 Nov 1999 19:11:33 +0000

exim (3.03-4) unstable; urgency=low

  * debian/control: put quotes around $etc/exim.conf (#50071)
  * Create symlinks in /usr/doc from postinst, not rules (#50072)
    . debian/postinst: create symlink in /usr/doc if required
    . debian/postinst-eximon (new file): create symlink in /usr/doc if required
    . debian/prerm: delete symlink in /usr/doc
    . debian/prerm-eximon (new file): delete symlink in /usr/doc
    . debian/rules: don't create symlinks in /usr/doc
    . debian/rules: install {postinst,prerm}-eximon
  * debian/rules: install man pages in /usr/share/man as required by
    policy 3.1.0
  * debian/copyright: refer to GPL in new location
    /usr/share/common-licences/GPL instead of /usr/doc/copyright/GPL

 -- Mark Baker <mbaker@iee.org>  Sat, 13 Nov 1999 16:52:59 +0000

exim (3.03-3) unstable; urgency=low

  * debian/rules: install docs in /usr/share/doc/exim with symlink from
    /usr/doc/exim, as required by policy 3.1.0
  * debian/control: policy version upgraded to 3.1.0
  * debian/config: if exim.conf already exists, warn that continuing with
    eximconfig will trash it (#49201)
  * debian/*: updated Tim Cutts' email address

 -- Mark Baker <mbaker@iee.org>  Thu, 11 Nov 1999 21:07:56 +0000

exim (3.03-2) unstable; urgency=low

  * debian/config: don't shift things off @names, as that was removing
    localhost (#48102)
  * exim_monitor/em_main.c: fix bindings for popup menu so they work with
    all combinations of modifiers, working round Xt misfeature. Thanks
    Kevin Ryde for patch (#20485)
  * debian/config: fixed typo (FRC instead of RFC)
  * debian/README.debian: extra backslashes in sample filter (#46462)
  * debian/crontab: only run every 30 mins instead of every 15; this is
    the same frequency as we ask a daemon to do a queue run and it makes
    sense for them to be the same
  * debian/config: generated configuration will call procmail if it is
    installed and if users have .procmailrc files
  * debian/init.d: start exim daemon if no smtp entry in inetd.conf
  * OS/Makefile-Default: define HAVE_IPV6. The attempt to auto-detect it
    was a failure (it detected it correctly, but the config.h builder
    doesn't understand anything so fancy in the makefile)
  * Local/Makefile: include LDAP support
  * Local/Makefile: link with libwrap

 -- Mark Baker <mbaker@iee.org>  Thu,  4 Nov 1999 21:22:20 +0000

exim (3.03-1) unstable; urgency=low

  * new upstream version
  * src/exim.h: include <pcre.h> rather than "pcre/pcre.h"
  * OS/Makefile.Base: don't build pcre (it's not used anyway)
  * debian/postinst: don't do upgrade from pre-3.0 stuff if /etc/exim.conf
    doesn't exist (#42305)
  * debian/eximconfig.8: mention -i option (#41786)

 -- Mark Baker <mbaker@iee.org>  Wed,  4 Aug 1999 22:24:57 +0100

exim (3.02-5) unstable; urgency=low

  * OS/Makefile-Linux, OS/Makefile-Default: applied patch from Roman Hodek
    so it will compile on m68k which doesn't yet have glibc2.1 (#41365)  
  * debian/config: applied patch from Andrew Pimlott so system users with
    a hyphen in the login name (only www-data normally) get added to
    aliases file (#41235)
  * debian/config: typo (exim-doc package name without hyphen) (#41071)
  * debian/exim.8: updated command line options in manpage (#41082)

 -- Mark Baker <mbaker@iee.org>  Mon, 19 Jul 1999 23:26:34 +0100

exim (3.02-4) unstable; urgency=low

  * src/daemon.c: patch in previous release only did half the job; I now
    have a patch from the upstream author instead.

 -- Mark Baker <mbaker@iee.org>  Wed,  7 Jul 1999 22:35:44 +0100

exim (3.02-3) unstable; urgency=low

  * src/daemon.c: if attempt to open AF_INET6 fails, try again as AF_INET; this
    will hopefully make it work for people without IPv6 in their kernels 
    (#40248) 
  * src/host.c: apply upstream patch so ::ffff:w.x.y.z style IPv4 compatibility
    addresses will reverse lookup correctly

 -- Mark Baker <mbaker@iee.org>  Wed, 30 Jun 1999 23:28:35 +0100

exim (3.02-2) unstable; urgency=low

  * debian/config: fix received headers (#40185,#40210,#40216)

 -- Mark Baker <mbaker@iee.org>  Tue, 29 Jun 1999 00:58:15 +0100

exim (3.02-1) unstable; urgency=low

  * New upstream release (bug fixes)
  * Applied patch for GNU/Hurd support (#39262)
  * debian/config: include "localhost" as a local domain by default. I do
    this reluctantly, so fetchmail will work out the box.
  * debian/config: include "for <x@y>" in received headers (#39344)
  * debian/config: add Envelope-to: header in local delivery transport 
  * debian/copyright: update copyright date to 1999
  * src/host.c: Fixed bug with IPv6 address handling properly
  * src/verify.c: Removed work-around introduced in last release

 -- Mark Baker <mbaker@iee.org>  Mon, 21 Jun 1999 22:37:56 +0100

exim (3.01-1) unstable; urgency=low

  * New upstream release (bug fixes)
  * src/verify.c: Fixed bug with IPv6 address handling
  * debian/config: eximconfig -i should restart daemon

 -- Mark Baker <mbaker@iee.org>  Tue, 25 May 1999 23:33:00 +0100

exim (3.00-1) unstable; urgency=low

  * New upstream release
  * OS/Makefile-Default: Enabled IPv6 support (this therefore requires 
    glibc 2.1)
  * debian/config: Outputs new configuration file format
  * debian/config: If called with -i option, installs exim in inetd.conf etc
  * debian/postinst: When upgrading from pre-3.00 versions, convert 
    configuration file to new format. Leave exim not running, as the 
    configuration file will need to be manually checked.
  * debian/postinst: registration of init.d script only done if exim configured

 -- Mark Baker <mbaker@iee.org>  Sat, 15 May 1999 01:22:33 +0100

exim (2.11-4) unstable; urgency=low

  * debian/cron.daily: only cycle logs if files exist (#35544, #35585,
    #34645, #36271)
  * debian/control: suggests exim-doc (#34086)
  * debian/README.debian: include sample .forward file to handle mail on
    debian mailing lists (thanks Giuliano)
  * debian/config: allow domain name components that start with a
    number. While these are strictly speaking not allowed, there are
    plenty out there, and not allowing them was causing problems (#36320)

 -- Mark Baker <mbaker@iee.org>  Thu, 22 Apr 1999 23:08:16 +0100

exim (2.11-3) unstable; urgency=low

  * debian/config: recommend adding localhost to local domains if
    fetchmail is to be used (#34088)
  * debian/config: was generating invalid rewrite rules for a satellite
    system with no root alias specified (#34060)
  * debian/config: generated config includes "for" information in received 
    headers
  * debian/config: set smtp_accept_queue_per_connection to 100 in
    generated config, as the default of 10 is much too low for dialup
    users
  * debian/config: set freeze_tell_mailmaster to true in generated config  
  * debian/config: always allow relaying from localhost (#31844)
  * debian/cron.daily: use savelog instead of exicyclog (#33467)

 -- Mark Baker <mbaker@iee.org>  Thu,  4 Mar 1999 23:50:16 +0000

exim (2.11-2) unstable; urgency=low

  * debian/config: write config files to /etc instead of /tmp (oops!)

 -- Mark Baker <mbaker@iee.org>  Mon,  1 Feb 1999 23:27:05 +0000

exim (2.11-1) unstable; urgency=low

  * New upstream version
  * (Uses libpcre2 instead of libpcre1)
  * debian/config: don't set never_users if user doesn't set up a root alias

 -- Mark Baker <mbaker@iee.org>  Fri, 28 Jan 1999 00:21:00 +0000

exim (2.05-1) frozen unstable; urgency=low

  * New upstream version (mostly bugfixes)

 -- Mark Baker <mbaker@iee.org>  Sat,  7 Nov 1998 00:24:44 +0000

exim (2.04-3) unstable; urgency=low

  * debian/init.d: don't enable inetd service when stopping daemon (#27265)
  * delete lots of .orig files that didn't need to be in source diff (#27267)
  * recompile against libident with correct shlibs (#27265)

 -- Mark Baker <mbaker@iee.org>  Thu,  1 Oct 1998 21:23:30 +0100

exim (2.04-2) unstable; urgency=low

  * debian/postinst: use -e so it dies on errors
  * debian/preinst: don't use crontab if it isn't installed

 -- Mark Baker <mbaker@iee.org>  Sun, 27 Sep 1998 22:07:51 +0100

exim (2.04-1) unstable; urgency=low

  * New upstream version (mostly bug fixes)
  * debian/crontab: check exim exists and is executable (#26953)

 -- Mark Baker <mbaker@iee.org>  Sat, 26 Sep 1998 21:26:19 +0100

exim (2.02-4) unstable; urgency=low

  * debian/crontab: 2>&1 should be after >/dev/null

 -- Mark Baker <mbaker@iee.org>  Tue, 01 Sep 1998 22:49:00 +0100

exim (2.02-3) unstable; urgency=low

  * Local/Makefile: include maildir support (#25575)

 -- Mark Baker <mbaker@iee.org>  Mon, 10 Aug 1998 21:46:08 +0100

exim (2.02-2) unstable; urgency=medium

  * debian/crontab: should be 2>&1 instead of 2&>1 (#25539,#25552,#25558)

 -- Mark Baker <mbaker@iee.org>  Sun, 09 Aug 1998 22:23:00 +0100

exim (2.02-1) unstable; urgency=low

  * New upstream version (#24692)
  * debian/crontab: send output to /dev/null (#24384)

 -- Mark Baker <mbaker@iee.org>  Thu, 06 Aug 1998 21:46:27 +0100

exim (1.92-4) unstable; urgency=low

  * debian/preinst: redirect stderr of some commands to /dev/null (#22867)
  * src/macros.h: define iscntrl() so 8-bit strings work in headers
    (#22932 and hopefully #20958)

 -- Mark Baker <mbaker@iee.org>  Sat, 30 May 1998 13:11:27 +0100

exim (1.92-3) frozen unstable; urgency=low

  * debian/config: write config files in /etc, not . (#22387)
  * debian/config: properly comment out example rewriter (#22388)
  * debian/postrm: remove rc.d links only on purge, not remove

 -- Mark Baker <mbaker@iee.org>  Wed, 13 May 1998 09:55:00 +0100

exim (1.92-2) frozen unstable; urgency=low

  * These together answer all but one of the issues raised in #22067
  * debian/config: fix typo in "TRANPORTS"
  * debian/config: put separator between each question
  * debian/config: clarify question about qualifying domain for satellite
    system
  * debian/config: rewrite rule for satellite systems now matches root etc
    case insensitively
  * debian/config: include in output (commented out) example of how to 
    rewrite all outgoing addresses according to lookup table

 -- Mark Baker <mbaker@iee.org>  Mon, 04 May 1998 22:08:00 +0100

exim (1.92-1) frozen unstable; urgency=low

  * New upstream version (minor bug fixes)
  * OS/Makefile-Linux: compile with -O2
  * OS/Makefile-Base: link with existing libident.a
  * src/eximon.src: don't set LD_LIBRARY_PATH in eximon wrapper script
  * exim_monitor/em_main.c: show last 8k of log when you start (#21956)
  * debian/postinst: don't install in inetd.conf unless /etc/exim.conf 
    exists (#19548)
  * debian/rules: minor changes

 -- Mark Baker <mbaker@iee.org>  Fri, 01 May 1998 22:55:25 +0100

exim (1.91-1) frozen unstable; urgency=low

  * New upstream version (bug fixes)

 -- Mark Baker <mbaker@iee.org>  Tue, 28 Apr 1998 10:12:38 +0100

exim (1.90-5) frozen unstable; urgency=low

  * debian/postinst: don't die if exim already running (#21181)
  * debian/config: set umask to 022, so aliases file created has mode that
    exim won't complain about (#21410)
  * debian/control: suggest mail-reader, not mail-user-agent (which doesn't
    exist)

 -- Mark Baker <mbaker@iee.org>  Thu, 16 Apr 1998 19:45:55 +0100

exim (1.90-4) frozen unstable; urgency=low

  * Delete debian/files before packaging source (#21217)

 -- Mark Baker <mbaker@iee.org>  Thu, 16 Apr 1998 19:45:55 +0100

exim (1.90-3) frozen unstable; urgency=low

  * Fixed silly bug that stopped eximconfig from running (I hadn't tested
    it, as it was just one minor change to a comment. However, the comment
    was in the generated exim.conf file, so was embedded in a perl
    string---using an unescaped apostrophe broke things)

 -- Mark Baker <mbaker@iee.org>  Wed, 08 Apr 1998 19:42:51 +0100

exim (1.90-2) frozen unstable; urgency=low

  * Configuration written by eximconfig will not fail if mailbox has a 
    stricter mode than the default 0660

 -- Mark Baker <mbaker@iee.org>  Fri, 03 Apr 1998 11:06:20 +0100

exim (1.90-1) frozen unstable; urgency=low

  * New upstream version (bug fixes)
  * Split out documentation, allowing pristine source to be used

 -- Mark Baker <mbaker@iee.org>  Wed, 01 Apr 1998 11:06:20 +0100

exim (1.89.1-1) frozen unstable; urgency=low

  * New upstream version 1.891 (bug fixes)

 -- Mark Baker <mbaker@iee.org>  Wed, 18 Mar 1998 20:11:30 +0000

exim (1.89.0-2) frozen unstable; urgency=low

  * Improved inetd.conf handling, hopefully won't lose any changes you make
    over upgrades

 -- Mark Baker <mbaker@iee.org>  Sat, 14 Mar 1998 14:32:00 +0000

exim (1.89.0-1) unstable; urgency=low

  * New upstream version (1.890, a beta test of 1.90)
  * Fixed cron scripts so they don't fail if exim not installed (eg when
    upgrading)
  * Added newline to end of generated /etc/aliases
  * Pause after first paragraph of eximconfig (#19547)

 -- Mark Baker <mbaker@iee.org>  Sat, 14 Mar 1998 14:32:00 +0000

exim (1.82-11) unstable; urgency=low

  * Make ip-up.d script a config file
  * Check for existence of exim before running it from ip-up.d (#19119)
  * Only run eximconfig if there is no exim.conf file
  * This means eximconfig doesn't need to check for exim.conf itself, and
    so doesn't need a --force option

 -- Mark Baker <mbaker@iee.org>  Sat, 07 Mar 1998 21:02:30 +0000

exim (1.82-10) unstable; urgency=low

  * Fixed update-rc.d calls in postrm (#16355)
  * Replaces: mail-transport-agent (#9305)

 -- Mark Baker <mbaker@iee.org>  Sat, 07 Mar 1998 17:54:30 +0000

exim (1.82-9) unstable; urgency=low

  * Added mailq manpage link
  * Install docs copyright before calculating md5sums

 -- Mark Baker <mbaker@iee.org>  Fri, 27 Feb 1998 21:36:38 +0000

exim (1.82-8) unstable; urgency=low

  * Fixed manpages so whatis information can be extracted (#18667)
  * Added a script for ip-up.d (#18675)

 -- Mark Baker <mbaker@iee.org>  Fri, 27 Feb 1998 21:36:38 +0000

exim (1.82-7) unstable; urgency=low

  * Corrected URL in eximconfig script (#18422)

 -- Mark Baker <mbaker@iee.org>  Fri, 20 Feb 1998 18:32:27 +0000

exim (1.82-6) unstable; urgency=low

  * exim-doc package doesn't depend on exim (#18285)

 -- Mark Baker <mbaker@iee.org>  Wed, 18 Feb 1998 12:03:10 +0000

exim (1.82-5) unstable; urgency=low

  * exim-doc package depends on exim
  * Inserted space that was missing from depends line for eximon
  * Added force-reload and restart options to init.d script

 -- Mark Baker <mbaker@iee.org>  Sun, 15 Feb 1998 22:29:00 +0000

exim (1.82-4) unstable; urgency=low

  * Written manpages for exiqsumm and eximconfig
  * Updated FSF snail-mail address in copyright file
  * Moved eximon.bin into /usr/lib/exim
  * Updated standards-version to 2.4.0.0
  * Fixed md5sum generation
  * Symlinks from /usr/doc/{eximon,exim-doc} to exim
  * Fixed typo in exim.conf generated by eximconfig (#18054)

 -- Mark Baker <mbaker@iee.org>  Tue, 10 Feb 1998 00:45:00 +0000

exim (1.82-3) unstable; urgency=low

  * Rewritten eximconfig
    + Relaying configuration
    + RBL spam-blocking (#17805)
    + Ask before overwriting /etc/aliases (#16056)
    + New configuration for system with local deliveries but smarthost
      for remote mail---useful for dialup users
    + Generally tidied up
  * use /etc/cron.d instead of mail's crontab

 -- Mark Baker <mbaker@iee.org>  Sat,  7 Feb 1998 21:56:25 +0000

exim (1.82-2) unstable; urgency=low

  * Write startup messages in standard format

 -- Mark Baker <mbaker@iee.org>  Wed,  7 Jan 1998 21:21:35 +0000

exim (1.82-1) unstable; urgency=low

  * New upstream release

 -- Mark Baker <mbaker@iee.org>  Sat, 27 Dec 1997 12:17:23 +0000

exim (1.81-1) unstable; urgency=low

  * New upstream release (bug fixes)
  * Removed bogus Replaces: line (#16054)
  * Mark /etc/init.d/exim as a conffile
  
 -- Mark Baker <mbaker@iee.org>  Thu, 18 Dec 1997 11:28:11 +0000

exim (1.80-2) unstable; urgency=low

  * Fixed typo in control (#15927)
  * Removed suggestion of metamail
  * Don't include docs in exim package

 -- Mark Baker <mbaker@iee.org>  Sun, 14 Dec 1997 20:12:14 +0000

exim (1.80-1) unstable; urgency=low

  * New upstream release
  * Strip binaries (#15720)

 -- Mark Baker <mbaker@iee.org>  Sat, 13 Dec 1997 20:46:18 +0000

exim (1.73-11) unstable; urgency=low

  * Really depend on cron. I put it in the changelog but forgot to 
    do it last time!

 -- Mark Baker <mbaker@iee.org>  Mon, 24 Nov 1997 23:24:09 +0000

exim (1.73-10) unstable; urgency=low

  * Rewritten copyright file
  * Put note in prerm about deleting multiple inetd lines (#14554)
  * Depend on cron (#15229)

 -- Mark Baker <mbaker@iee.org>  Mon, 24 Nov 1997 21:29:51 +0000

exim (1.73-9) unstable; urgency=low

  * The | I removed in 1.73-7 should have been changed to a \, not
    removed altogether. I hope I haven't screwed up too many people's
    /etc/crontab with this bug :(

 -- Mark Baker <mbaker@iee.org>  Tue, 11 Nov 1997 23:04:19 +0000

exim (1.73-8) unstable; urgency=low

  * Patch from upstream to fix bug with DB lookups
  
 -- Mark Baker <mbaker@iee.org>  Mon,  3 Nov 1997 11:25:37 +0000

exim (1.73-7) unstable; urgency=low

  * Remove spurious | from preinst that trashed /etc/crontab
  * Remove from inetd etc in prerm rather than postrm

 -- Mark Baker <mbaker@iee.org>  Wed, 22 Oct 1997 14:36:21 +0100

exim (1.73-6) unstable; urgency=low

  * Now really clear up crontab from old versions
  * Fix sed expressions (#14044)

 -- Mark Baker <mbaker@iee.org>  Wed, 22 Oct 1997 14:34:52 +0100

exim (1.73-5) unstable; urgency=low

  * Comment out crontab entry when removed (#14016)

 -- Mark Baker <mbaker@iee.org>  Mon, 20 Oct 1997 21:01:44 +0100

exim (1.73-4) unstable; urgency=low

  * Use mail user's crontab instead of system one
  * Clear up crontab installed by old versions (#13998)
  * Add md5sums

 -- Mark Baker <mbaker@iee.org>  Sun, 19 Oct 1997 23:21:35 +0100

exim (1.73-3) unstable; urgency=low

  * Rewrite postinst etc (I hadn't realised that they weren't complete) (#13940)

 -- Mark Baker <mbaker@iee.org>  Thu, 16 Oct 1997 23:58:46 +0100

exim (1.73-2) unstable; urgency=low

  * Install README.debian file
  * Install {pre,post}{inst,rm} (#13919)

 -- Mark Baker <mbaker@iee.org>  Thu, 16 Oct 1997 14:45:42 +0100

exim (1.73-1) unstable; urgency=low

  * New upstream version
  * New maintainer 
  * Rewritten most of debian/rules
  * (and as a result, no longer use debmake)
  * Documented what EXIM_GID is compiled in (#11907)
  * Made eximconfig less confusing (#12664)

 -- Mark Baker <mbaker@iee.org>  Wed, 15 Oct 1997 17:13:27 +0100

exim (1.71-1) unstable; urgency=low

  * Upstream update and libc6 build. Minimize the diffs to upstream sources.

 -- Christoph Lameter <clameter@debian.org>  Thu, 25 Sep 1997 20:07:21 -0700

exim (1.62-3) unstable; urgency=high

  * Fixed buffer overrun security hole in .forward processing

 -- Tim Cutts <tjrc1@scalopus.bio.cam.ac.uk>  Tue, 22 Jul 1997 10:00:00 +0100

exim (1.62-2) unstable; urgency=low

  * Fixed paths in exicyclog (bugs #9444, #9759 and #9996)
  * Transferred eximon man page from exim to eximon (bug #9425)

 -- Tim Cutts <tjrc1@scalopus.bio.cam.ac.uk>  Mon, 16 Jun 1997 11:37:56 +0100

exim (1.62-1) unstable; urgency=low

  * New upstream release

 -- Tim Cutts <tjrc1@scalopus.bio.cam.ac.uk>  Mon, 28 Apr 1997 14:36:37 +0000

exim (1.61-1) unstable; urgency=low

  * New upstream release, fixes debian bug #7671

 -- Tim Cutts <tjrc1@scalopus.bio.cam.ac.uk>  Tue, 4 Mar 1997 15:24:21 +0000

exim (1.60-3) unstable; urgency=low

  * Added a 'sendmail' alias to the exim manpage
  * Incorporated Christoph's -1 and -2 changes into my own 1.60 package.

 -- Tim Cutts <tjrc1@scalopus.bio.cam.ac.uk>  Thu, 27 Feb 1997 17:57:30 +0000

exim (1.60-2) unstable; urgency=low

  * Add some more manpages
  * /usr/sbin/sendmail and /usr/sbin/runq symlink was missing.

 -- Christoph Lameter <clameter@debian.org>  Wed, 26 Feb 1997 12:34:08 -0800

exim (1.60-1) unstable; urgency=low

  * New upstream version
  * Manpages written

 -- Christoph Lameter <clameter@debian.org>  Wed, 26 Feb 1997 10:18:06 -0800

exim (1.59.8-2) unstable; urgency=low

  * Reversed some of Christoph's changes; put textual documentation
    back into exim package, and info files into exim-doc package.

 -- Tim Cutts <tjrc1@scalopus.bio.cam.ac.uk>  Thu, 27 Feb 1997 12:37:15 +0000

exim (1.59.8-1) unstable; urgency=low

  * Supplies some more information regaring uucp and kernel related NFS
    problems
  * New upstream release

 -- Christoph Lameter <clameter@debian.org>  Mon, 24 Feb 1997 11:57:10 -0800

exim (1.59.6-1) unstable; urgency=low

  * Put into unstable
  * Some fixes to the debian setup and the eximconfig script
  * New upstream release

 -- Christoph Lameter <clameter@debian.org>  Thu, 6 Feb 1997 10:26:23 -0800

exim (1.59.5-3) experimental; urgency=low

  * Rebuild with debmake 3.0.6
  * eximstats: Small bug fixed

 -- Christoph Lameter <clameter@debian.org>  Fri, 31 Jan 1997 08:37:35 -0800

exim (1.59.5-2) experimental; urgency=low

  * Rebuild with debmake 3.0.1

 -- Christoph Lameter <clameter@debian.org>  Wed, 29 Jan 1997 12:57:12 -0800

exim (1.59.5-1) experimental; urgency=low

  * Experimental package for debstdn (debmake 2.80)
  * New upstream release. NFS Hacks removed.

 -- Christoph Lameter <clameter@debian.org>  Sat, 25 Jan 1997 17:21:41 -0800

exim (1.59-1.2) experimental; urgency=low

  * NFS Problem hacked around (just skipped offending section ....)
    Locking via NFS is probably broken now.

 -- Christoph Lameter <clameter@debian.org>  Fri, 27 Dec 1996 19:39:16 -0800

exim (1.59-1.1) experimental; urgency=low

  * Full Replacement for smail (and better, easier than smail)
  * Compiled with db libraries instead of dbm.
  * Send Daily Statistics to Postmaster
  * Run eximcyclog from /etc/cron.daily
  * Run exim from inetd.conf. Run queue hourly via crontab.
  * newaliases command provided for sendmail compatibility.

 -- Christoph Lameter <clameter@debian.org>  Mon, 23 Dec 1996 20:45:44 -0800

exim (1.59-1) experimental; urgency=low

  * Upgraded to exim 1.59
  * Putting PID files in /var/run/exim/
  * Changes to exim-doc package by Christoph
  * Included a postrm script (to remove /var/run/exim, /etc/exim.conf and
    /var/log/exim if purging)

 -- Tim Cutts <tjrc1@scalopus.bio.cam.ac.uk>  Wed, 18 Dec 1996 09:00:00 +0000

exim (1.58-7) experimental; urgency=low

  * Local/Makefile updated to be more FSSTND compliant
  * Minor changes to debian/* files supporting this
  * Default mail spool changed from /usr/spool/... to /var/spool/...
  * Added a commented-out user = list line to the system_aliases director
    for smartlist users to uncomment

 -- Tim Cutts <tjrc1@scalopus.bio.cam.ac.uk>  Tue, 17 Dec 1996 17:00:00 +0000

exim (1.58-6) experimental; urgency=low

  * eximinstall script was not installed
  * problems with the init scripts failing

 -- Christoph Lameter <clameter@debian.org>  Mon, 16 Dec 1996 20:45:44 -0800

exim (1.58-5) experimental; urgency=low

  * Revised

 -- Christoph Lameter <clameter@debian.org>  Mon, 16 Dec 1996 07:11:31 -0800

exim (1.58-4) unstable; urgency=low

  * Initial efforts

 -- Tim Cutts <tjrc1@scalopus.bio.cam.ac.uk>  Mon, 25 Nov 1996 22:33:17 +0000


